* {
  margin: 0%;
  padding: 0%;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  font-family: monospace;
  outline: none;
}

html {
  scroll-behavior: smooth;
}

.hamburguer {
  width: 2rem;
  height: 2rem;
  position: fixed;
  z-index: 200;
  top: 2rem;
  right: 2rem;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  cursor: pointer;
}

.show-menu .hamburguer {
  right: +16rem;
}

.line {
  width: 100%;
  height: 0.1rem;
  background-color: white;
  box-shadow: 0.1rem 0.1rem 5px black;
  transition: 2s;
}

.show-menu #line1 {
  transform: rotate(45deg) translate(0.35rem, 0.35rem);
}

.show-menu #line2 {
  opacity: 0;
  visibility: hidden;
}

.show-menu #line3 {
  transform: rotate(-45deg) translate(0.30rem, -0.35rem);
}

.hamburguer span {
  position: absolute;
  left: 3rem;
  height: 2rem;
  width: 6rem;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: red;
  color: white;
  opacity: 0;
}

.show-menu .hamburguer:hover span {
  opacity: 1;
}

.sidebar {
  width: 20rem;
  height: 100vh;
  background-color: rgba(248, 248, 248, 0.87);
  position: fixed;
  top: 0;
  right: -20rem;
  transition: all 1s;
  z-index: 150;
}

.show-menu .sidebar {
  right: 0;
}

.menu {
  position: absolute;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  text-transform: uppercase;
}

.menu-item {
  margin-bottom: 1rem;
}

.menulink {
  font-size: 2rem;
  color: black;
}

.menulink:hover {
  color: rgb(173, 21, 21);
  transition: color 1s;
}
.social-media{
  position: absolute;
  bottom: 2rem;
  width: 100%;
  display: flex;
  justify-content: space-evenly;
}
.social-media a {
  color: #000;
  text-decoration: none;
}
.social-media img{
  height: 3rem;
  width: 3rem;
  display: flex;
  justify-content: center;
  border: 50%;

}

header {
  position: relative;
  width: 100%;
  height: 80vh;
  overflow: hidden;
}

.img-wrapper {
  width: 100%;
  height: 100%;
}

.img-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.pokeball-body {
  position: absolute;
  top: 35%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.pokeball-motion {
  position: relative;
  animation: bounce 3s linear infinite;
}

@keyframes bounce {
  0% {
    bottom: 50px;
  }
  50% {
    bottom: 20px;
  }
  55% {
    bottom: 25px;
  }
  100% {
    bottom: 50px;
  }
}

.pokeball-top {
  width: 300px;
  height: 150px;
  background: linear-gradient(to top, rgba(199, 10, 10, 0.856), #e21b1bee, rgba(247, 86, 86, 0.945), rgba(255, 255, 255, 0.774));
  border-radius: 150px 150px 0 0;
  border-bottom: #000;
  border-bottom-style: solid;
  border-width: 20px thick;
  animation: opening 8s 2ms ease;
}

@keyframes opening {
  0% {
    transform: rotate(0);
    transform-origin: bottom;
  }
  50% {
    transform: rotateX(-100deg);
    transform-origin: top;
  }
  100% {
    transform: rotate(0);
    transform-origin: bottom;
  }
}

.pokeball-top:before {
  content: "";
  background-color: #000;
  width: 80px;
  height: 50px;
  border-radius: 0 0 40px 40px;
  position: absolute;
  left: 110px;
  top: 140px;
}

.pokeball-top:after {
  content: "";
  background: radial-gradient(circle, #fffafa, #f8f8ffd0, #fff, #161515f5);
  width: 60px;
  height: 60px;
  border-radius: 50px;
  border: #000;
  border-style: solid;
  border-width: 10px thick;
  position: absolute;
  left: 115px;
  top: 110px;
}

.inside-content {
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.inside-content h1 {
  position: relative;
  bottom: 50px;
  font-family: Bungee, cursive;
  font-size: 16px;
  color: #fffafa;
  text-align: center;
  letter-spacing: 10px;
  transform: scale(-50%, -50%);
  opacity: 0;
  animation: zoom 7s 1s ease-in;
}

@keyframes zoom {
  0% {
    transform: scale(0);
  }

  50% {
    transform: scale(2);
    animation-delay: 5s;
  }

  55% {
    transform: scale(0);
  }

  100% {
    transform: scale(0);
    opacity: 1;
  }
}

.pokeball-bottom {
  width: 300px;
  height: 150px;
  background: linear-gradient(to bottom, #e9e0e0fd, rgb(245, 240, 240), rgb(26, 24, 24));
  border-radius: 0 0 150px 150px;
  border-top-style: solid;
  border-width: 10px thick;
  position: absolute;
  top: 140px;
  z-index: -100;
}

.pokeball-bottom:before {
  content: "";
  background-color: #000;
  width: 80px;
  height: 40px;
  border-radius: 0 0 40px 40px;
  position: absolute;
  left: 110px;
  bottom: 101px;
}

.pokemons{
  background: linear-gradient(to bottom ,#40B5FA,#3EB5F9,#63C7FB,#59C0F9,#39B9F8);
  background-size: cover;
  position: absolute;
  width: 100%;
  height: 100%;
}

.overlay{
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.cloudOne{
  background-image: url(images/cloud.png);
  background-size: cover;
  filter: blur(2px);
  position: absolute;
  height: 100%;
  width: 100%;
  animation: motion 6s linear infinite;
}
@keyframes motion{
  0%,100%{
    transform: translateX(0px);
  }
  50%{
    transform: translateX(50px);
  }
}

.tabs {
  width: 80vw;
  height: 100vh;
  margin: 0 auto 0 auto;
  position: relative;
  display: flex;
  justify-content: center;
}

.tabs label {
  font-size: 2rem;
  cursor: pointer;
  text-transform: uppercase;
  margin: auto 15px auto;
}

.tabs ul {
  margin-top: 1%;
  height: 10%;
}

.tabs ul ul {
  list-style: none;
  position: absolute;
  visibility: hidden;
}

.tabs ul li {
  float: left;
}

.tabs .radio-tab {
  display: none;
}

.tabs .radio-tab:checked~label {
  color: rgb(173, 21, 21);
}

.about {
  border-top: solid 5px rgb(173, 21, 21);
  margin-top: 2rem;
  display: none;
  position: absolute;
  height: 70%;
  width: 100%;
  left: 0;
  overflow: auto;
}

.about::-webkit-scrollbar{
  background: linear-gradient( #fae8e3f3,#50b2ebc2,#63c6fbbd,rgba(253, 252, 252, 0.452),rgba(255, 255, 255, 0.432));
  border-radius: 10px;

}

.about article {
  margin-top: 1%;
  text-align: center;
  font-size: 1.5rem;
  height: 100%;
}

.radio-tab:checked~.about {
  display: block;
  position: absolute;
}

.carousel-pokemon {
  background-image: url(images/bgpokemon1.png);
  background-size: cover;
  background-repeat: repeat-x;
  position: relative;
  top: -30px;
  width: 100%;
  height: 100%;
}
.headerFilter{
  height: 30%;

}
.carousel-pokemon h2 {
  display: flex;
  justify-content: center;
  text-transform: uppercase;
  font-size: 2rem;
}

.overlay-carousel{
  position: absolute;
  width: 100%;
  height: 30%;
  overflow: hidden;
}

.cloudTwo{
  background-image: url(images/cloudTwo.png);
  background-size: cover;
  position: absolute;
  height: 100%;
  width: 100%;
}

.box-filter {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto 0 auto;
  z-index: 100;
  word-wrap: wrap;
}

.container-input{
  height: 5%;
  width: 60px;
  border-radius: 40px;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  z-index: 100;
  margin-top: 12%;
}

.search-btn{
  display: block;
  align-items: center;
  width: 40px;
  filter: drop-shadow( 1px 1px 3px #000);
  z-index: 100;
}
.search-btn input,
select {
  margin-right: 5%;
  margin-left: 5%;
}

.search-img{
  width: 50px;
}

.box-filter, .container-input:hover{
  width: 70%;
  padding: 0;
  transition: 3s ease;
}

.animationInput{
  background-color: rgba(0,0,0,0.19);
  border-radius: 20px;
  height: 30px;
  float: left;
  color: #000;
  opacity: 0;
  cursor: pointer;
  text-transform: uppercase;
}

.container-input:hover >.animationInput{
  opacity: 1;
  transition: 4s ease;
}

.calculusFilter {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.calculusFilter p{
  text-align: center;
  width: 80%;
  font-family: Bungee, sans-serif;
  text-transform: uppercase;
  font-size: 1rem;
  text-shadow: 4px -3px 2px #fff;
  z-index: 1;
}

.carousel {
  border-top: solid 5px rgb(173, 21, 21);
  transform: translate(10%, 10%);
  width: 85%;
  height: 50%;
  box-shadow: 0 10px 20px rgba(101, 161, 163, 0.096);
  border-radius: 16px;
  background-color: transparent;
  overflow: hidden;
  overflow-x: auto;
  scroll-snap-align: start;
  position: relative;
  perspective: 1000px;
}

.carousel::-webkit-scrollbar {
  opacity: 1;
}

.carousel::-webkit-scrollbar-button {
  display: none;
}

.carousel::-webkit-scrollbar-thumb {
  background-color: rgb(173, 21, 21);
  border-radius: 50px;
  height: 50px;
  width: 20px;
}

.pokedex {
  display: flex;
}

.card-pokemon {
  width: 230px;
  height: 520px;
  margin: 10px;
  perspective: 1000px;
  text-align: center;
  font-size: 16px;
  font-weight: 10px;
  text-transform: uppercase;
}

.flip {
  position: relative;
  width: 230px;
  height: 50%;
  transition: transform 2s;
  transform-style: preserve-3d;
}

.card-pokemon:hover .flip,
.card-pokemon:active .flip {
  transform: rotateX(180deg);
}

.front-card, .back-card {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  background-color: rgba(0, 0, 0, 0.19);
  border-radius: 16px;
}

.back-card {
  transform: rotateX(180deg);
  background-color: rgba(0, 0, 0, 0.644);
  color: white;
  display: flex;
  flex-direction: column;
  white-space: pre-line;
}

.bc .card-image {
  filter: drop-shadow(5px 5px 2px rgb(56, 55, 55));
}

.cardText{
  text-align: left;
  border-bottom: #ff0000;
  border-bottom-style: dotted;
  border-bottom-width: thin;
  margin-top: 3%;
}
